"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DkClient = void 0;
class DkClient {
    constructor(client) {
        this.client = client;
        this.defaults = {};
        this.middleware = [];
        this.setClient = (client) => {
            if (client)
                this.client = client;
        };
        this.setDefaults = (defaults) => {
            if (defaults)
                this.defaults = defaults;
        };
        this.setMiddleware = (middleware) => {
            if (middleware)
                this.middleware = middleware;
        };
        this.setLogger = (logger) => {
            if (logger)
                this.logger = logger;
        };
        this.send = async (command) => {
            return command.send({
                client: this.client,
                defaults: this.defaults,
                middleware: this.middleware
            });
        };
    }
}
exports.DkClient = DkClient;
