"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyDefaults = void 0;
const applyDefaults = (input, defaults, defaultableKeys) => {
    const inputDefaults = Object.fromEntries(defaultableKeys.map(key => [key, defaults[key]]));
    return {
        ...inputDefaults,
        ...input
    };
};
exports.applyDefaults = applyDefaults;
