"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.upperCaseKeys = exports.lowerCaseKeys = void 0;
const lowerCaseKeys = (obj) => {
    const entries = Object.entries(obj);
    const mappedEntries = entries.map(([k, v]) => [`${k.slice(0, 1).toLowerCase()}${k.slice(1)}`, v]);
    return Object.fromEntries(mappedEntries);
};
exports.lowerCaseKeys = lowerCaseKeys;
const upperCaseKeys = (obj) => {
    const entries = Object.entries(obj);
    const mappedEntries = entries.map(([k, v]) => [`${k.slice(0, 1).toUpperCase()}${k.slice(1)}`, v]);
    return Object.fromEntries(mappedEntries);
};
exports.upperCaseKeys = upperCaseKeys;
