import { ManyGsiTable } from './TableTest.dev';
export const ManyGsiKeySpace = new ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: (params) => params.string,
            sk: (params) => `${params.number}`
        },
        gsi0: {
            gsi0Pk: (params) => `${params.number}`,
            gsi0Sk: (params) => params.string
        },
        gsi1: {
            gsi1Pk: (params) => params.number,
            gsi1Sk: (params) => params.number
        },
        gsi2: {
            gsi2Pk: (params) => params.string,
            gsi2Sk: (params) => params.number
        },
        gsi3: {
            gsi3Pk: (params) => params.number,
            gsi3Sk: (params) => params.string
        },
        gsi4: {
            gsi4Pk: (params) => params.string
        },
        gsi5: {
            gsi5Pk: (params) => params.number
        }
    }
});
export const NoGsiKeySpace = new ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: (params) => params.string,
            sk: (params) => `${params.number}`
        }
    }
});
export const NoGsiNeverParamKeySpace = new ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: () => `test`,
            sk: (params) => params.string
        }
    }
});
export const NoGsiNeverParamsKeySpace = new ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: () => `test`,
            sk: () => `test`
        }
    }
});
