import { putTableItem } from './put';
export const createTableItem = async (Table, item, input, dkClient = Table.dkClient) => {
    await putTableItem(Table, item, {
        ...input,
        conditionExpression: `attribute_not_exists(#hashKey)${input?.conditionExpression ? ` ${input?.conditionExpression}` : ''}`,
        expressionAttributeNames: {
            '#hashKey': Table.config.indexes.primaryIndex.hash.key,
            ...input?.expressionAttributeNames
        }
    }, dkClient);
    return;
};
export const createItem = async (KeySpace, item, input) => createTableItem(KeySpace.Table, KeySpace.withIndexKeys(item), input, KeySpace.dkClient);
