import { CfnOutput, Stack, StackProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export declare class DynamoDBKeySpaceStack extends Stack {
    readonly tableName: CfnOutput;
    readonly scanTableName: CfnOutput;
    readonly resetTableName: CfnOutput;
    constructor(scope: Construct, id: string, props: StackProps & {
        stage: string;
        deploymentName: string;
    });
}
