export { DkClient } from './Client';
export { Table } from './Table';
export { DkBatchGetCommand, DkBatchGetCommandInput, DkBatchGetCommandOutput } from './command/BatchGet';
export { DkBatchWriteCommand, DkBatchWriteCommandInput, DkBatchWriteCommandOutput } from './command/BatchWrite';
export { DkDeleteCommand, DkDeleteCommandInput, DkDeleteCommandOutput, DkDeleteReturnValues } from './command/Delete';
export { DkGetCommand, DkGetCommandInput, DkGetCommandOutput } from './command/Get';
export { DkPutCommand, DkPutCommandInput, DkPutCommandOutput, DkPutReturnValues } from './command/Put';
export { DkQueryCommand, DkQueryCommandInput, DkQueryCommandOutput, DkQueryItemsSort } from './command/Query';
export { DkScanCommand, DkScanCommandInput, DkScanCommandOutput } from './command/Scan';
export { DkTransactGetCommand, DkTransactGetCommandInput, DkTransactGetCommandOutput } from './command/TransactGet';
export { DkTransactWriteCommand, DkTransactWriteCommandInput, DkTransactWriteCommandOutput, DkTransactWriteCommandInputConditionCheck, DkTransactWriteCommandInputDelete, DkTransactWriteCommandInputPut, DkTransactWriteCommandInputUpdate } from './command/TransactWrite';
export { DkUpdateCommand, DkUpdateCommandInput, DkUpdateCommandOutput, DkUpdateReturnValues } from './command/Update';
export { batchGetTableItems, batchGetItems, BatchGetItemsInput, BatchGetItemsOutput } from './method/batchGet';
export { batchWriteTableItems, batchWriteItems, BatchWriteItemsInput, BatchWriteItemsOutput } from './method/batchWrite';
export { createTableItem, createItem, CreateItemInput, CreateItemOutput } from './method/create';
export { deleteTableItem, deleteItem, DeleteItemInput, DeleteItemOutput } from './method/delete';
export { getTableItem, getItem, GetItemInput, GetItemOutput } from './method/get';
export { putTableItem, putItem, PutItemInput, PutItemsOutput } from './method/put';
export { queryGetTableItem, queryGetItem, QueryGetItemInput, QueryGetItemOutput } from './method/queryGet';
export { queryTableItems, queryItems, QueryItemsInput, QueryItemsOutput } from './method/query';
export { queryQuickTableItems, queryQuickItems, QueryQuickItemsInput, QueryQuickItemsOutput } from './method/queryQuick';
export { updateQuickTableItem, updateQuickItem, UpdateQuickItemInput, UpdateQuickItemOutput } from './method/updateQuick';
export { resetTableItems } from './method/reset';
export { scanTableItems, ScanItemsInput, ScanItemsOutput } from './method/scan';
export { transactGetTableItems, transactGetItems, TransactGetItemsInput, TransactGetItemsOutput } from './method/transactGet';
export { transactWriteTableItems, transactWriteItems, TransactWriteItemsInput, TransactWriteItemsOutput } from './method/transactWrite';
export { updateTableItem, updateItem, UpdateItemInput, UpdateItemOutput } from './method/update';
export { DkMiddlewareHandler, DkMiddlewareHook } from './Middleware';
export { dkSetAttributeOnWriteMiddleware } from './util/setAttributeOnWriteMiddleware';
export { dkOp } from './UpdateOp';
