import { Table } from '../Table';
import { DkGetCommandInput } from '../command/Get';
import { GenericAttributes } from '../util/utils';
import { KeySpace } from '../KeySpace';
import { DkClient } from '../Client';
export interface GetItemInput extends Omit<DkGetCommandInput, 'tableName' | 'key'> {
}
export type GetItemOutput<Attributes extends GenericAttributes = GenericAttributes> = Attributes;
export declare const getTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, key: import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>, input?: GetItemInput, dkClient?: DkClient) => Promise<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>>;
export declare const getItem: <K extends KeySpace<any, GenericAttributes, any, any>>(KeySpace: K, keyParams: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>, input?: GetItemInput) => Promise<KeySpace.GetAttributes<K>>;
