import { KeySpace } from '../KeySpace';
import { ReturnValuesAttributes } from '../util/returnValuesAttributes';
import { GenericAttributes } from '../util/utils';
import { DkPutCommandInput, DkPutReturnValues } from '../command/Put';
import { Table } from '../Table';
import { DkClient } from '../Client';
export interface PutItemInput<RV extends DkPutReturnValues = undefined> extends Omit<DkPutCommandInput<any, RV>, 'tableName' | 'item'> {
}
export type PutItemsOutput<Attributes extends GenericAttributes = GenericAttributes, RV extends DkPutReturnValues = undefined> = ReturnValuesAttributes<Attributes, RV>;
export declare const putTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>, RV extends DkPutReturnValues = undefined>(Table: T, item: import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, input?: PutItemInput<RV> | undefined, dkClient?: DkClient) => Promise<ReturnValuesAttributes<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, RV>>;
export declare const putItem: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>, RV extends DkPutReturnValues = undefined>(KeySpace: K, item: KeySpace.GetAttributes<K>, input?: PutItemInput<RV> | undefined) => Promise<ReturnValuesAttributes<KeySpace.GetAttributes<K>, RV>>;
