import { KeySpace } from '../KeySpace';
import { ListParams, QueryItemsInput } from './query';
import { Table } from '../Table';
import { GenericAttributes } from '../util/utils';
import { DkClient } from '../Client';
export type QueryGetItemInput = Omit<QueryItemsInput<any, any>, 'keyConditionExpression' | keyof ListParams<any> | 'sort'>;
export type QueryGetItemOutput<Attributes extends GenericAttributes = GenericAttributes> = Attributes;
export declare const queryGetTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>, Index extends T["indexes"][number] = never>(Table: T, index: Index, key: import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<Index, undefined>]>>, input?: QueryGetItemInput, dkClient?: DkClient) => Promise<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>>;
export declare const queryGetItem: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>, Index extends K["indexes"][number] = never>(KeySpace: K, index: Index, keyParams: KeySpace.GetIndexKeyValueParams<K, Index>, input?: QueryGetItemInput) => Promise<KeySpace.GetAttributes<K>>;
