import { KeySpace } from '../KeySpace';
import { ReturnValue } from '@aws-sdk/client-dynamodb';
import { ReturnValuesAttributes } from '../util/returnValuesAttributes';
import { GenericAttributes } from '../util/utils';
import { DkUpdateCommandInput } from '../command/Update';
import { Table } from '../Table';
import { DkClient } from '../Client';
export interface UpdateItemInput<RV extends ReturnValue | undefined = typeof ReturnValue.ALL_NEW> extends Omit<DkUpdateCommandInput<any, RV>, 'tableName' | 'key'> {
}
export type UpdateItemOutput<Attributes extends GenericAttributes = GenericAttributes, RV extends ReturnValue | undefined = typeof ReturnValue.ALL_NEW> = ReturnValuesAttributes<Attributes, RV>;
export declare const updateTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>, RV extends ReturnValue | undefined = "ALL_NEW">(Table: T, key: import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>, input: UpdateItemInput<RV>, dkClient?: DkClient) => Promise<ReturnValuesAttributes<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, RV>>;
export declare const updateItem: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>, RV extends ReturnValue | undefined = "ALL_NEW">(KeySpace: K, keyParams: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>, input: UpdateItemInput<RV>) => Promise<ReturnValuesAttributes<KeySpace.GetAttributes<K>, RV>>;
