import { GenericAttributes } from './utils';
export interface DkUpdateExpressionParams {
    updateExpression?: string;
    expressionAttributeNames?: Record<string, string>;
    expressionAttributeValues?: GenericAttributes;
}
export declare const createUpdateExpressionParts: <Attributes extends GenericAttributes>(attributes: Attributes, precedingKeys?: Array<string>) => Array<DkUpdateExpressionParams>;
export declare const mergeUpdateExpressionParts: (parts: Array<DkUpdateExpressionParams>) => DkUpdateExpressionParams;
export declare const convertObjectToUpdateExpression: <Attributes extends GenericAttributes>(attributes: Attributes) => {
    updateExpression: string;
    expressionAttributeNames?: Record<string, string> | undefined;
    expressionAttributeValues?: GenericAttributes | undefined;
};
