import { ReturnConsumedCapacity, ReturnItemCollectionMetrics, ReturnValuesOnConditionCheckFailure } from '@aws-sdk/client-dynamodb';
export interface DkReturnParams {
    returnConsumedCapacity?: ReturnConsumedCapacity;
    returnItemCollectionMetrics?: ReturnItemCollectionMetrics;
    returnValuesOnConditionCheckFailure?: ReturnValuesOnConditionCheckFailure;
}
export interface Defaults extends Pick<DkReturnParams, 'returnConsumedCapacity' | 'returnItemCollectionMetrics' | 'returnValuesOnConditionCheckFailure'> {
}
export declare const applyDefaults: <Input extends object>(input: Input, defaults: Defaults, defaultableKeys: readonly (keyof Input & keyof Defaults)[]) => Input;
