"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoGsiNeverParamsKeySpace = exports.NoGsiNeverParamKeySpace = exports.NoGsiKeySpace = exports.ManyGsiKeySpace = void 0;
const TableTest_dev_1 = require("./TableTest.dev");
exports.ManyGsiKeySpace = new TableTest_dev_1.ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: (params) => params.string,
            sk: (params) => `${params.number}`
        },
        gsi0: {
            gsi0Pk: (params) => `${params.number}`,
            gsi0Sk: (params) => params.string
        },
        gsi1: {
            gsi1Pk: (params) => params.number,
            gsi1Sk: (params) => params.number
        },
        gsi2: {
            gsi2Pk: (params) => params.string,
            gsi2Sk: (params) => params.number
        },
        gsi3: {
            gsi3Pk: (params) => params.number,
            gsi3Sk: (params) => params.string
        },
        gsi4: {
            gsi4Pk: (params) => params.string
        },
        gsi5: {
            gsi5Pk: (params) => params.number
        }
    }
});
exports.NoGsiKeySpace = new TableTest_dev_1.ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: (params) => params.string,
            sk: (params) => `${params.number}`
        }
    }
});
exports.NoGsiNeverParamKeySpace = new TableTest_dev_1.ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: () => `test`,
            sk: (params) => params.string
        }
    }
});
exports.NoGsiNeverParamsKeySpace = new TableTest_dev_1.ManyGsiTable.KeySpace().configure({
    indexValueHandlers: {
        primaryIndex: {
            pk: () => `test`,
            sk: () => `test`
        }
    }
});
