#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serviceName = void 0;
const tslib_1 = require("tslib");
require("source-map-support/register");
const cdk = tslib_1.__importStar(require("aws-cdk-lib"));
const Pipeline_1 = require("./Pipeline");
exports.serviceName = 'dynamodb-keyspace';
const app = new cdk.App();
new Pipeline_1.DynamoDBKeySpacePipelineStack(app, 'DynamoDBKeySpacePipelineStack', {
    env: {
        region: process.env.CDK_DEFAULT_REGION,
        account: process.env.CDK_DEFAULT_ACCOUNT
    }
});
