"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dkOp = exports.dkSetAttributeOnWriteMiddleware = exports.updateItem = exports.updateTableItem = exports.transactWriteItems = exports.transactWriteTableItems = exports.transactGetItems = exports.transactGetTableItems = exports.scanTableItems = exports.resetTableItems = exports.updateQuickItem = exports.updateQuickTableItem = exports.queryQuickItems = exports.queryQuickTableItems = exports.queryItems = exports.queryTableItems = exports.queryGetItem = exports.queryGetTableItem = exports.putItem = exports.putTableItem = exports.getItem = exports.getTableItem = exports.deleteItem = exports.deleteTableItem = exports.createItem = exports.createTableItem = exports.batchWriteItems = exports.batchWriteTableItems = exports.batchGetItems = exports.batchGetTableItems = exports.DkUpdateCommand = exports.DkTransactWriteCommand = exports.DkTransactGetCommand = exports.DkScanCommand = exports.DkQueryItemsSort = exports.DkQueryCommand = exports.DkPutCommand = exports.DkGetCommand = exports.DkDeleteCommand = exports.DkBatchWriteCommand = exports.DkBatchGetCommand = exports.Table = exports.DkClient = void 0;
var Client_1 = require("./Client");
Object.defineProperty(exports, "DkClient", { enumerable: true, get: function () { return Client_1.DkClient; } });
var Table_1 = require("./Table");
Object.defineProperty(exports, "Table", { enumerable: true, get: function () { return Table_1.Table; } });
var BatchGet_1 = require("./command/BatchGet");
Object.defineProperty(exports, "DkBatchGetCommand", { enumerable: true, get: function () { return BatchGet_1.DkBatchGetCommand; } });
var BatchWrite_1 = require("./command/BatchWrite");
Object.defineProperty(exports, "DkBatchWriteCommand", { enumerable: true, get: function () { return BatchWrite_1.DkBatchWriteCommand; } });
var Delete_1 = require("./command/Delete");
Object.defineProperty(exports, "DkDeleteCommand", { enumerable: true, get: function () { return Delete_1.DkDeleteCommand; } });
var Get_1 = require("./command/Get");
Object.defineProperty(exports, "DkGetCommand", { enumerable: true, get: function () { return Get_1.DkGetCommand; } });
var Put_1 = require("./command/Put");
Object.defineProperty(exports, "DkPutCommand", { enumerable: true, get: function () { return Put_1.DkPutCommand; } });
var Query_1 = require("./command/Query");
Object.defineProperty(exports, "DkQueryCommand", { enumerable: true, get: function () { return Query_1.DkQueryCommand; } });
Object.defineProperty(exports, "DkQueryItemsSort", { enumerable: true, get: function () { return Query_1.DkQueryItemsSort; } });
var Scan_1 = require("./command/Scan");
Object.defineProperty(exports, "DkScanCommand", { enumerable: true, get: function () { return Scan_1.DkScanCommand; } });
var TransactGet_1 = require("./command/TransactGet");
Object.defineProperty(exports, "DkTransactGetCommand", { enumerable: true, get: function () { return TransactGet_1.DkTransactGetCommand; } });
var TransactWrite_1 = require("./command/TransactWrite");
Object.defineProperty(exports, "DkTransactWriteCommand", { enumerable: true, get: function () { return TransactWrite_1.DkTransactWriteCommand; } });
var Update_1 = require("./command/Update");
Object.defineProperty(exports, "DkUpdateCommand", { enumerable: true, get: function () { return Update_1.DkUpdateCommand; } });
var batchGet_1 = require("./method/batchGet");
Object.defineProperty(exports, "batchGetTableItems", { enumerable: true, get: function () { return batchGet_1.batchGetTableItems; } });
Object.defineProperty(exports, "batchGetItems", { enumerable: true, get: function () { return batchGet_1.batchGetItems; } });
var batchWrite_1 = require("./method/batchWrite");
Object.defineProperty(exports, "batchWriteTableItems", { enumerable: true, get: function () { return batchWrite_1.batchWriteTableItems; } });
Object.defineProperty(exports, "batchWriteItems", { enumerable: true, get: function () { return batchWrite_1.batchWriteItems; } });
var create_1 = require("./method/create");
Object.defineProperty(exports, "createTableItem", { enumerable: true, get: function () { return create_1.createTableItem; } });
Object.defineProperty(exports, "createItem", { enumerable: true, get: function () { return create_1.createItem; } });
var delete_1 = require("./method/delete");
Object.defineProperty(exports, "deleteTableItem", { enumerable: true, get: function () { return delete_1.deleteTableItem; } });
Object.defineProperty(exports, "deleteItem", { enumerable: true, get: function () { return delete_1.deleteItem; } });
var get_1 = require("./method/get");
Object.defineProperty(exports, "getTableItem", { enumerable: true, get: function () { return get_1.getTableItem; } });
Object.defineProperty(exports, "getItem", { enumerable: true, get: function () { return get_1.getItem; } });
var put_1 = require("./method/put");
Object.defineProperty(exports, "putTableItem", { enumerable: true, get: function () { return put_1.putTableItem; } });
Object.defineProperty(exports, "putItem", { enumerable: true, get: function () { return put_1.putItem; } });
var queryGet_1 = require("./method/queryGet");
Object.defineProperty(exports, "queryGetTableItem", { enumerable: true, get: function () { return queryGet_1.queryGetTableItem; } });
Object.defineProperty(exports, "queryGetItem", { enumerable: true, get: function () { return queryGet_1.queryGetItem; } });
var query_1 = require("./method/query");
Object.defineProperty(exports, "queryTableItems", { enumerable: true, get: function () { return query_1.queryTableItems; } });
Object.defineProperty(exports, "queryItems", { enumerable: true, get: function () { return query_1.queryItems; } });
var queryQuick_1 = require("./method/queryQuick");
Object.defineProperty(exports, "queryQuickTableItems", { enumerable: true, get: function () { return queryQuick_1.queryQuickTableItems; } });
Object.defineProperty(exports, "queryQuickItems", { enumerable: true, get: function () { return queryQuick_1.queryQuickItems; } });
var updateQuick_1 = require("./method/updateQuick");
Object.defineProperty(exports, "updateQuickTableItem", { enumerable: true, get: function () { return updateQuick_1.updateQuickTableItem; } });
Object.defineProperty(exports, "updateQuickItem", { enumerable: true, get: function () { return updateQuick_1.updateQuickItem; } });
var reset_1 = require("./method/reset");
Object.defineProperty(exports, "resetTableItems", { enumerable: true, get: function () { return reset_1.resetTableItems; } });
var scan_1 = require("./method/scan");
Object.defineProperty(exports, "scanTableItems", { enumerable: true, get: function () { return scan_1.scanTableItems; } });
var transactGet_1 = require("./method/transactGet");
Object.defineProperty(exports, "transactGetTableItems", { enumerable: true, get: function () { return transactGet_1.transactGetTableItems; } });
Object.defineProperty(exports, "transactGetItems", { enumerable: true, get: function () { return transactGet_1.transactGetItems; } });
var transactWrite_1 = require("./method/transactWrite");
Object.defineProperty(exports, "transactWriteTableItems", { enumerable: true, get: function () { return transactWrite_1.transactWriteTableItems; } });
Object.defineProperty(exports, "transactWriteItems", { enumerable: true, get: function () { return transactWrite_1.transactWriteItems; } });
var update_1 = require("./method/update");
Object.defineProperty(exports, "updateTableItem", { enumerable: true, get: function () { return update_1.updateTableItem; } });
Object.defineProperty(exports, "updateItem", { enumerable: true, get: function () { return update_1.updateItem; } });
var setAttributeOnWriteMiddleware_1 = require("./util/setAttributeOnWriteMiddleware");
Object.defineProperty(exports, "dkSetAttributeOnWriteMiddleware", { enumerable: true, get: function () { return setAttributeOnWriteMiddleware_1.dkSetAttributeOnWriteMiddleware; } });
var UpdateOp_1 = require("./UpdateOp");
Object.defineProperty(exports, "dkOp", { enumerable: true, get: function () { return UpdateOp_1.dkOp; } });
