"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertReturnValuesAttributes = void 0;
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const assertReturnValuesAttributes = (attributes, returnValues) => {
    if ((returnValues === client_dynamodb_1.ReturnValue.ALL_NEW || returnValues === client_dynamodb_1.ReturnValue.ALL_OLD) && !attributes)
        throw new Error();
    if ((!returnValues || returnValues === client_dynamodb_1.ReturnValue.NONE) && attributes)
        throw new Error();
};
exports.assertReturnValuesAttributes = assertReturnValuesAttributes;
