import { DkGetCommand } from '../command/Get';
export const getTableItem = async (Table, key, input, dkClient = Table.dkClient) => {
    const output = await dkClient.send(new DkGetCommand({
        ...input,
        tableName: Table.tableName,
        key: key
    }));
    return output.item;
};
export const getItem = async (KeySpace, keyParams, input) => {
    const item = await getTableItem(KeySpace.Table, KeySpace.keyOf(keyParams), input, KeySpace.dkClient);
    KeySpace.assertAttributesAndKeys(item);
    return KeySpace.omitIndexKeys(item);
};
