import { DkUpdateExpressionParams } from './util/convertObjectToUpdateExpression';
import { GenericAttributes } from './util/utils';
type Params = {
    key: string;
    alias: string;
    precedingKeys?: Array<string>;
};
type CreateUpdateExpressionPart = (params: Params) => DkUpdateExpressionParams;
export declare class DkOp {
    createUpdateExpressionPart: CreateUpdateExpressionPart;
    constructor(createUpdateExpressionPart: CreateUpdateExpressionPart);
}
export declare const dkOp: {
    Value: <T = any>(value: T) => T;
    MapValue: <T_1 extends GenericAttributes>(object: T_1) => T_1;
    Add: (value: number) => number;
    Minus: (value: number) => number;
    ListAppend: <T_2 extends unknown>(value: T_2[], end?: 'head' | 'tail') => T_2[];
    IfNotExists: <T_3 = unknown>(value: T_3) => T_3;
};
export {};
