import { KeySpace } from '../KeySpace';
import { Table } from '../Table';
import { PutItemInput } from './put';
import { DkClient } from '../Client';
export interface CreateItemInput extends Omit<PutItemInput, 'returnValues'> {
}
export type CreateItemOutput = void;
export declare const createTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, item: import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, input?: CreateItemInput, dkClient?: DkClient) => Promise<CreateItemOutput>;
export declare const createItem: <K extends KeySpace<any, import("../util/utils").GenericAttributes, any, any> = KeySpace<any, import("../util/utils").GenericAttributes, any, any>>(KeySpace: K, item: KeySpace.GetAttributes<K>, input?: CreateItemInput) => Promise<CreateItemOutput>;
