import { KeySpace } from '../KeySpace';
import { ReturnValuesAttributes } from '../util/returnValuesAttributes';
import { GenericAttributes } from '../util/utils';
import { DkDeleteCommandInput, DkDeleteReturnValues } from '../command/Delete';
import { Table } from '../Table';
import { DkClient } from '../Client';
export interface DeleteItemInput<RV extends DkDeleteReturnValues = undefined> extends Omit<DkDeleteCommandInput<any, RV>, 'tableName' | 'key'> {
}
export type DeleteItemOutput<Attributes extends GenericAttributes = GenericAttributes, RV extends DkDeleteReturnValues = undefined> = ReturnValuesAttributes<Attributes, RV>;
export declare const deleteTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>, RV extends DkDeleteReturnValues = undefined>(Table: T, key: import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>, input?: DeleteItemInput<RV> | undefined, dkClient?: DkClient) => Promise<ReturnValuesAttributes<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, RV>>;
export declare const deleteItem: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>, RV extends DkDeleteReturnValues = undefined>(KeySpace: K, keyParams: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>, input?: DeleteItemInput<RV> | undefined) => Promise<ReturnValuesAttributes<KeySpace.GetAttributes<K>, RV>>;
