import { KeySpace } from '../KeySpace';
import { DkTransactGetCommandInput } from '../command/TransactGet';
import { GenericAttributes } from '../util/utils';
import { Table } from '../Table';
import { DkClient } from '../Client';
export interface TransactGetItemsInput extends Omit<DkTransactGetCommandInput, 'requests'> {
}
export type TransactGetItemsOutput<Attributes extends GenericAttributes = GenericAttributes> = Array<Attributes>;
export declare const transactGetTableItems: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, keys: import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>[], input?: TransactGetItemsInput, dkClient?: DkClient) => Promise<TransactGetItemsOutput<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>>>;
export declare const transactGetItems: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>>(KeySpace: K, keyParams: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>[], input?: TransactGetItemsInput) => Promise<TransactGetItemsOutput<KeySpace.GetAttributes<K>>>;
