import { KeySpace } from '../KeySpace';
import { Table } from '../Table';
import { DkTransactWriteCommandInput, DkTransactWriteCommandInputConditionCheck, DkTransactWriteCommandInputDelete, DkTransactWriteCommandInputPut, DkTransactWriteCommandInputUpdate, DkTransactWriteCommandOutput } from '../command/TransactWrite';
import { DkClient } from '../Client';
export interface TransactWriteItemsInput extends Omit<DkTransactWriteCommandInput, 'requests'> {
}
export type TransactWriteItemsOutput = DkTransactWriteCommandOutput;
export declare const transactWriteTableItems: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>>(Table: T, requests: (Omit<DkTransactWriteCommandInputConditionCheck<import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>, "tableName"> | Omit<DkTransactWriteCommandInputDelete<import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>, "tableName"> | Omit<DkTransactWriteCommandInputPut<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>>, "tableName"> | Omit<DkTransactWriteCommandInputUpdate<import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>>, "tableName">)[], input?: TransactWriteItemsInput, dkClient?: DkClient) => Promise<TransactWriteItemsOutput>;
export declare const transactWriteItems: <K extends KeySpace<any, import("../util/utils").GenericAttributes, any, any> = KeySpace<any, import("../util/utils").GenericAttributes, any, any>>(KeySpace: K, requests: (Omit<DkTransactWriteCommandInputConditionCheck<KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>>, "tableName"> | Omit<DkTransactWriteCommandInputDelete<KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>>, "tableName"> | Omit<DkTransactWriteCommandInputPut<KeySpace.GetAttributes<K>>, "tableName"> | Omit<DkTransactWriteCommandInputUpdate<KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>>, "tableName">)[], input?: TransactWriteItemsInput) => Promise<TransactWriteItemsOutput>;
