import { KeySpace } from '../KeySpace';
import { ReturnValue } from '@aws-sdk/client-dynamodb';
import { O } from 'ts-toolbelt';
import { UpdateItemInput, UpdateItemOutput } from './update';
import { AllSchema } from '../util/Schema';
import { DkOp } from '../UpdateOp';
import { GenericAttributes } from '../util/utils';
import { Table } from '../Table';
import { ReturnValuesAttributes } from '../util/returnValuesAttributes';
import { DkClient } from '../Client';
export interface UpdateQuickItemInput<RV extends ReturnValue | undefined = typeof ReturnValue.ALL_NEW> extends UpdateItemInput<RV> {
}
export type UpdateQuickItemOutput<Attributes extends GenericAttributes = GenericAttributes, RV extends ReturnValue | undefined = typeof ReturnValue.ALL_NEW> = UpdateItemOutput<Attributes, RV>;
export declare const updateQuickTableItem: <T extends Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>> = Table<any, any, any, any, import("../Table").TableConfig<any, any, any, any>>, RV extends ReturnValue | undefined = "ALL_NEW">(Table: T, key: import("../util/utils").Remap<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[Exclude<T["primaryIndex"], undefined>]>>, updateAttributes: import("ts-toolbelt/out/Object/Optional").OptionalDeep<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]> extends infer T_1 extends object ? { [P in keyof T_1]: P extends import("ts-toolbelt/out/Any/Key").Key ? import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>[P] | import("ts-toolbelt/out/Any/At").At<AllSchema<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, DkOp>, P> : import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>[P]; } : never>, input?: UpdateQuickItemInput<RV> | undefined, dkClient?: DkClient) => Promise<ReturnValuesAttributes<import("../util/utils").Remap<T["secondaryIndexes"][number] extends string ? Table.GetIndexKeyMap<T>[T["primaryIndex"]] & Partial<import("ts-toolbelt/out/Union/IntersectOf").IntersectOf<Table.GetIndexKeyMap<T>[T["secondaryIndexes"][number]]>> : Table.GetIndexKeyMap<T>[T["primaryIndex"]]>, RV>>;
export declare const updateQuickItem: <K extends KeySpace<any, GenericAttributes, any, any> = KeySpace<any, GenericAttributes, any, any>, RV extends ReturnValue | undefined = "ALL_NEW">(KeySpace: K, keyParams: KeySpace.GetIndexKeyValueParams<K, K["primaryIndex"]>, updateAttributes: import("ts-toolbelt/out/Object/Optional").OptionalDeep<KeySpace.GetAttributes<K> extends infer T extends object ? { [P in keyof T]: P extends import("ts-toolbelt/out/Any/Key").Key ? KeySpace.GetAttributes<K>[P] | import("ts-toolbelt/out/Any/At").At<AllSchema<KeySpace.GetAttributes<K>, DkOp>, P> : KeySpace.GetAttributes<K>[P]; } : never>, input?: UpdateQuickItemInput<RV> | undefined) => Promise<ReturnValuesAttributes<KeySpace.GetAttributes<K>, RV>>;
