import { NativeAttributeValue } from '@aws-sdk/util-dynamodb';
type Log = (message: unknown) => void;
export interface ILogger {
    warn: Log;
    error: Log;
    info: Log;
    log: Log;
}
export declare const zipObject: <K extends PropertyKey, V>(keys: K[], values: V[]) => { [P in K]: V; };
export declare const hash: (values: Array<any>, size?: number) => string;
export declare const randomNumber: () => number;
export declare const randomString: (size?: number) => string;
export declare const run: <T>(fn: () => T) => T;
export declare const arrayOfLength: (length: number) => void[];
export type GenericAttributes = Record<string, NativeAttributeValue>;
export type Remap<T> = T extends object ? {
    [K in keyof T]: K extends keyof T ? T[K] : never;
} : never;
export type NotNever<A1, A2> = A1 extends never ? A2 : A1;
export {};
